Bug 114263 - [LOCALHELP] More BASIC functions to document in Help pages
Summary: [LOCALHELP] More BASIC functions to document in Help pages
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on: 118473
Blocks: HelpGaps-NewFeatures 84675
  Show dependency treegraph
 
Reported: 2017-12-05 13:59 UTC by Olivier Hallot
Modified: 2019-03-15 15:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2017-12-05 13:59:18 UTC
Description:
This bug was opened to help in managing bug#84675 and contains the list of remaining functions to document for the Help.

Actual Results:  
Nothing written about.

Expected Results:
Specific page for the function


Reproducible: Always


User Profile Reset: No



Additional Info:
==Undocumented==

AboutStarBasic
CallByName
CaptureAssertions
CompatibilityMode
CreatePropertySet
CreateUnoServiceWithArguments
DDEexecute
DDEinitiate
DDEpoke
DDErequest
DDEterminate
DDEterminateall
DoEvents
DumpAllObjects -
EnableReschedule
Frac
GetDialogZoomFactorX
GetDialogZoomFactorY
GetGUIVersion
GetPathSeparator
GetSystemType
LenB
Load
LoadPicture
Partition
QBColor
RGB
SavePicture
SendKeys
Spc
StrConv
TraceCommand
TypeLen
Unload
WaitUntil 

Tab


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 tagezi 2018-01-30 22:00:12 UTC
I see that functions below exists in code. But I am not sure that every from they design at the end.

Me
Replace
ResolvePath
RTL

there is a document which gives function names and returned value for them.
http://www.imaccanici.org/en.libreofficeforum.org/sites/libreofficeforum.org/files/uploads/ian%20rsbugs_files/LibreOffice%20BASIC%20Functions%20including%20Parameters.pdf
Comment 2 Commit Notification 2018-11-23 13:07:45 UTC
Alain Romedenne committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/3954a99fbd09ead9543cb0e9c682cbf2f69dae8f%5E%21

tdf#114263 add help page for GetPathSelector()
Comment 3 Commit Notification 2018-12-30 17:57:16 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/b1aec63bf053b4a654e3531c32eabd6b0ab035f5%5E%21

tdf#114263 Help page for BASIC WaitUntil statement
Comment 4 Olivier Hallot 2018-12-30 20:14:38 UTC
From OpenOffice Macro Explained (Andrew Pitonyak)

Table 14. Deprecated and not-yet-implemented routines.

Routine,               Comment
AboutStarBasic         Deprecated empty stub that used to be an information dialog.
SendKeys,              Empty stub.
"DumpAllObjects(path, bool)",Internal debugging routine.
Load(Object),          Deprecated.
Unload(Object),        Deprecated.
LoadPicture(path),     Deprecated. Loads an image file.
"SavePicture(obj, path)",    Deprecated. Fails to save an image file.
CreatePropertySet(object),   Deprecated. Early UNO support function.
CCur(expression),      Purposely generates a run-time error. Convert to currency.
StrConv,               Purposely generates a run-time error. Convert strings to different cases.
DateAdd,               Empty stub. Add date components.
DateDiff,              Empty stub. Difference between two date components.
DatePart,              Empty stub. Extract a specific date component.
Comment 5 Commit Notification 2018-12-30 22:21:26 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/d7124af74ae46cf33d1c23931b0041a40d845abb%5E%21

tdf#114263 Add Help page for BASIC Frac Function
Comment 6 Commit Notification 2018-12-30 22:39:24 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/afdcd47966ebd0a2f379c01aac2ea9b85bb6cb83%5E%21

tdf#114263 Add info for BASIC Spc() function
Comment 7 Commit Notification 2019-01-01 23:53:03 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/537807a50d804370f8f6f43c78c5f4ca44d3a11c%5E%21

tdf#114263 Tab BASIC function in Print description
Comment 8 Commit Notification 2019-01-24 10:51:11 UTC
Alain Romedenne committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/441f600d210bd69e4c485c1520eff55a42aa0a2c%5E%21

tdf#114263 Undocumented BASIC Options
Comment 9 LibreOfficiant 2019-01-24 15:00:57 UTC
As for Basic "Me" keyword:

"Classes & objects in OpenOffice" link on the https://wiki.documentfoundation.org/Macros/fr wiki page is mentioning usage of "Me" keyword within its "self reference" post. 

Although the mentioned technique is worth recommending in order to avoid property/sub/function name collision. It should be noted that Basic-like OO languages such as VBA, Visual Basic or LotusScript are providing the exposed feature as built-in the language.

Indeed "Me" should be provided in the exact same fashion as "this" is for JavaScript or as "self" is for Python languages.

One should either consider "Me" as being unsupported or open a Bug for supporting such coding facility.
Comment 10 Olivier Hallot 2019-01-25 14:00:44 UTC
Summary of the remaining functions to document or ignore.

CallByName
CaptureAssertions
CreateUnoServiceWithArguments
DDEexecute
DDEinitiate
DDEpoke
DDErequest
DDEterminate
DDEterminateall
DoEvents
EnableReschedule
GetDialogZoomFactorX
GetDialogZoomFactorY
GetGUIVersion - not implemented (always return -1)
GetSystemType - not implemented (always return -1)
LenB

TraceCommand
TypeLen

Me - see comment #9
Replace
ResolvePath
RTL
Comment 11 Commit Notification 2019-01-26 11:11:32 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/3f27275900a441c45af6c7e91901c98def81623a%5E%21

tdf#114263 Help page for Partition [VBA]
Comment 12 LibreOfficiant 2019-02-22 15:56:35 UTC
Add VBA Err object to this list, as it can be useful when willing to raises custom errors as VBA, LotusScript VB-like language are offering.
Comment 13 LibreOfficiant 2019-03-13 08:13:15 UTC
I borrowed from:

[Compatibility of Star/OpenOffice Basic to VBA]
(https://jezzper.com/jezzper/discussions.nsf/0/3C030B7CC3F24D5FC1256F65002BC1B5)

..to write https://help.libreoffice.org/6.3/en-US/text/sbasic/shared/compatible.html and included this info in my wiki profile.

It may be of interest to others
Comment 14 Commit Notification 2019-03-14 14:58:04 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/e6dfe7b36ebfda217fe89c18b656d2eee72c18ce%5E%21

tdf#124066, tdf#114263 BASIC Replace function Help
Comment 15 LibreOfficiant 2019-03-15 15:47:15 UTC
french Basic doc. https://wiki.openoffice.org/w/images/8/8b/Guide_de_programmation_StarOffice_Basic.pdf is full of VBA related 
notes that may of interest.